<?php

namespace Dropwp_Chatfree;

if ( ! defined( 'ABSPATH' ) ) exit;

/**
 * Fired during plugin activation
 *
 * @link       http://example.com
 * @since      1.0.0
 *
 * @package    Dropwp_Chatfree
 * @subpackage Dropwp_Chatfree/includes
 */

/**
 * Fired during plugin activation.
 *
 * This class defines all code necessary to run during the plugin's activation.
 *
 * @since      1.0.0
 * @package    Dropwp_Chatfree
 * @subpackage Dropwp_Chatfree/includes
 * @author     Your Name <email@example.com>
 */
class Dropwp_Chatfree_Activator {

    // Default configuration values
    static protected $default_config = array(
        'dropwp_chatfree_enable' => true,
		'dropwp_chatfree_js' => '',
    );

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.0
	 */
	public static function activate() {
        Dropwp_Chatfree_Activator::init_settings();
	}

    /**
     * Set default value if setting is not defined
     */
    protected static function set_default_setting( $name, $default_value ) {
        if ( null === get_option( $name, null ) ) {
            update_option( $name, $default_value );
        }
    }

    /**
     * Initialize settings
     */
    public static function init_settings() {
        foreach (Dropwp_Chatfree_Activator::$default_config as $key => $value) {
            Dropwp_Chatfree_Activator::set_default_setting( $key, $value );
        }
    }

}
